const Joi = require('joi');

const foodsSchema = {
  name: Joi.string().min(20).max(900).required(),
  price: Joi.number().min(20).max(900).required(),
  image: Joi.string().min(20).max(900).required(),
  createdAt: Joi.date().min(20).max(900).required().default(Date.now)
};

function validateFood(food) {
  return Joi.validate(food, foodsSchema);
}

module.exports = {
  foodsSchema,
  validateFood
}